﻿using System;
using System.Collections.Generic;
using FluentValidation;
using InternshipSystem.Core;
using InternshipSystem.Core.Entity.Internship;

namespace InternshipSystem.Api.Controllers
{
    public class EditionForm
    {
        public Guid Id { get; set; }
        public DateTime EditionStart { get; set; }
        public DateTime EditionFinish { get; set; }
        public DateTime ReportingStart { get; set; }
        public Course Course { get; set; }
        public List<InternshipSubject> AvailableSubjects { get; set; }
        public List<InternshipType> AvailableInternshipTypes { get; set; }
        
        public class Validator : AbstractValidator<EditionForm>
        {
            public Validator()
            {
                //TODO: later
            }
        }
    }
}